#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Module
%define		pnam	Pluggable
%include	/usr/lib/rpm/macros.perl
Summary:	Automatically give your module the ability to have plugins
Summary(pl.UTF-8):	Automatyczne umożliwianie modułom posiadania wtyczek
Name:		perl-Module-Pluggable
Version:	5.2
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	87ce2971662efd0b69a81bb4dc9ea76c
URL:		http://search.cpan.org/dist/Module-Pluggable/
BuildRequires:	perl-Class-Inspector
BuildRequires:	perl-Module-Build >= 0.38
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.62}
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Module-Runtime >= 0.012
Requires:	perl-dirs >= 1.0-5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a simple but, hopefully, extensible way of having 'plugins'
for your module. Obviously this isn't going to be the be all and end
all of solutions but it works for me.

Essentially all it does is export a method into your namespace that
looks through a search path for .pm files and turn those into class
names. Optionally it instantiates those classes for you.

%description -l pl.UTF-8
Ten moduł dostarcza prosty, ale rozszerzalny sposób posiadania
"wtyczek" dla własnego modułu. Oczywiście nie jest to pełne i końcowe
rozwiązanie, ale autorowi działa.

Zasadniczo wszystko co robi ten moduł to wyeksportowanie metody
przeszukującej ścieżkę pod kątem plików .pm i zamieniającej je na
nazwy klas. Opcjonalnie może dziedziczyć te klasy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Devel/InnerPackage.pm
%{perl_vendorlib}/Module/Pluggable.pm
%dir %{perl_vendorlib}/Module
%dir %{perl_vendorlib}/Module/Pluggable
%{perl_vendorlib}/Module/Pluggable/Object.pm
%{_mandir}/man3/Devel::InnerPackage.3pm*
%{_mandir}/man3/Module::Pluggable*.3pm*
%changelog
* Sat Mar 10 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Module-Pluggable.git;a=log;h=master

* Sat Sep 19 2015 Elan Ruusamäe <glen@delfi.ee> 468093a
- up to 5.2

* Sat Oct 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 9827755
- updated BRs, verbose man files

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 0b7d21c
- up to 5.1

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> a0c0c12
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 454aa39
- up to 4.0; now it's norach

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ed5ab59
- release 4

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 8e48f53
- added missing %dir in %files section
- release 3

* Tue Sep 08 2009 Artur Frysiak <artur@frysiak.net> 0a498b4
- removed noarch
- rel. 2

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 4677de8
- updated to 3.9

* Mon Mar 02 2009 radek <radek@pld-linux.org> 0556211
- version 3.8

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 12d1eae
- up to 3.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 261250c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 37bde5e
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 2aebd24
- updated to 3.4

* Thu Aug 24 2006 Elan Ruusamäe <glen@pld-linux.org> 88ce0ae
- rel 4

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 0dd0e1b
- vendorlib/Module/Pluggable dir moved to perl-dirs

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> de3fc35
- missing dir, rel 3

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 959a907
- fix BR, rel 2

* Wed Aug 16 2006 ankry <ankry@pld-linux.org> 2b70a6e
- typo?

* Sat Aug 12 2006 migo <migo@pld-linux.org> 47864a8
- up to 3.1

